Package Details: ruby-parseconfig 0.5.2-1

Git Clone URL: https://aur.archlinux.org/ruby-parseconfig.git (read-only)
Package Base: ruby-parseconfig
Description: Ruby gem parse config which allows you to easily manage config files
Upstream URL: http://rubyforge.org/projects/parseconfig/
Licenses: MIT
Submitter: realitygaps
Maintainer: realitygaps
Last Packager: realitygaps
Votes: 9
Popularity: 0.000000
First Submitted: 2009-06-17 23:37
Last Updated: 2015-07-06 14:56

Dependencies (2)

Required by (1)

Sources (1)

Latest Comments

defcon commented on 2016-01-21 07:43

cant build it
package() is missing

==> FEHLER: Funktion package() fehlt in /tmp/yaourt-tmp-defcon/aur-ruby-parseconfig/./PKGBUILD
==> FEHLER:Makepkg konnte ruby-parseconfig nicht erstellen.

realitygaps commented on 2012-07-22 14:04

thx, updated...

nirev commented on 2012-05-18 12:59

This PKGBUILD works for the most recent version
----------------------------------------------------------
# Contributor: realitygaps <realitygaps AT yahoo DOT com>
pkgname=ruby-parseconfig
_gemname=parseconfig
pkgver=0.5.2
pkgrel=1
pkgdesc="Ruby gem parse config which allows you to easily manage config files"
arch=(any)
url="http://rubyforge.org/projects/parseconfig/"
license=('MIT')
depends=('ruby')
makedepends=('rubygems')

source=("http://rubygems.org/downloads/${_gemname}-${pkgver}.gem")
noextract=("${_gemname}-$pkgver.gem")

build() {
cd $srcdir
export HOME=/tmp
local _gemdir="$(ruby -rubygems -e'puts Gem.default_dir')"
gem install --no-user-install --ignore-dependencies -i "${pkgdir}${_gemdir}" -n "${pkgdir}/usr/bin" ${_gemname}-$pkgver.gem
}
md5sums=('12907f53149caceaa64f17689eb21840')